// miniprogram/pages/home/index.js
import {
  httpOrther
} from "../../utils/httpFunc";
const {
  globalData
} = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    iconList: [],
    headTitle: ""
  },
  activity: "",
  clickFunc(data) {
    const index = data.currentTarget.dataset.index;
    const item = this.data.iconList[index];
    let url = ""
    if (!item.type) return;
    const parames = `?title=${item.text}&activity=${this.activity}`
    switch (item.type) {
      case 'live':
        url = '/pages/livelist/index' + parames + "&mediaType=" + item.type;
        break;
      case 'image':
      case 'video':
        url = '/pages/mediaController/index' + parames + "&mediaType=" + item.type;
        break;
      case "schedule":
        url = '/pages/schedule/index' + parames + '&noToday=1';
        break;
      default:
        url = '/pages/detail/detail' + parames + "&id=" + item.id;
        break;
    }
    wx.navigateTo({
      url
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.title) {
      this.activity = decodeURIComponent(options.title)
      wx.setNavigationBarTitle({
        title: this.activity
      });
    }

    const _this = this;
    let url = `/Applets/shengshizhongguo/json/${options.url || 'shengshi'}`;
    if (globalData.miniProgram.envVersion === 'develop') {
      url += '-dev'
    } else if (globalData.miniProgram.envVersion === 'trial') {
      url += '-tri'
    }
    url += `.json?${Date.now()}`
    httpOrther({
      url,
      call(res) {
        _this.setData({
          iconList: res.list || [],
          headTitle: res.headTitle || '',
          headImage: res.headImage || ''
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    wx.hideHomeButton()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }

})